# MSP::CCS::GeodeticCoordinates Class Reference

`#include <GeodeticCoordinates.h>`

Inheritance diagram for MSP::CCS::GeodeticCoordinates:

List of all members.

## Public Member Functions

| GeodeticCoordinates ()
| GeodeticCoordinates (CoordinateType::Enum _coordinateType)
| GeodeticCoordinates (CoordinateType::Enum _coordinateType, double __longitude, double __latitude, double __height=0)
| GeodeticCoordinates (CoordinateType::Enum _coordinateType, const char *__warningMessage, double __longitude, double __latitude, double __height=0)
| GeodeticCoordinates (const GeodeticCoordinates &gc)
| ~GeodeticCoordinates ()
GeodeticCoordinates & | operator= (const GeodeticCoordinates &gc)
void | set (double __longitude, double __latitude, double __height=0)
void | setLongitude (double __longitude)
void | setLatitude (double __latitude)
void | setHeight (double __height)
double | longitude () const
double | latitude () const
double | height () const

## Detailed Description

Definition at line 15 of file GeodeticCoordinates.h.

## Constructor & Destructor Documentation

GeodeticCoordinates::GeodeticCoordinates | ( |  | ) |

Definition at line 10 of file GeodeticCoordinates.cpp.

GeodeticCoordinates::GeodeticCoordinates | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 19 of file GeodeticCoordinates.cpp.

GeodeticCoordinates::GeodeticCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | double | __longitude,
|  | double | __latitude,
|  | double | __height = `0` |
| ) |  |  |

Definition at line 28 of file GeodeticCoordinates.cpp.

GeodeticCoordinates::GeodeticCoordinates | ( | CoordinateType::Enum | _coordinateType,
|  | const char * | __warningMessage,
|  | double | __longitude,
|  | double | __latitude,
|  | double | __height = `0` |
| ) |  |  |

Definition at line 37 of file GeodeticCoordinates.cpp.

GeodeticCoordinates::GeodeticCoordinates | ( | const GeodeticCoordinates & | gc | ) |

Definition at line 49 of file GeodeticCoordinates.cpp.

GeodeticCoordinates::~GeodeticCoordinates | ( |  | ) |

Definition at line 63 of file GeodeticCoordinates.cpp.

## Member Function Documentation

double GeodeticCoordinates::height | ( |  | ) | const

Definition at line 128 of file GeodeticCoordinates.cpp.

double GeodeticCoordinates::latitude | ( |  | ) | const

Definition at line 122 of file GeodeticCoordinates.cpp.

double GeodeticCoordinates::longitude | ( |  | ) | const

Definition at line 116 of file GeodeticCoordinates.cpp.

GeodeticCoordinates & GeodeticCoordinates::operator= | ( | const GeodeticCoordinates & | gc | ) |

Reimplemented from MSP::CCS::CoordinateTuple.

Definition at line 71 of file GeodeticCoordinates.cpp.

void GeodeticCoordinates::set | ( | double | __longitude,
|  | double | __latitude,
|  | double | __height = `0` |
| ) |  |  |

Definition at line 90 of file GeodeticCoordinates.cpp.

void GeodeticCoordinates::setHeight | ( | double | __height | ) |

Definition at line 110 of file GeodeticCoordinates.cpp.

void GeodeticCoordinates::setLatitude | ( | double | __latitude | ) |

Definition at line 104 of file GeodeticCoordinates.cpp.

void GeodeticCoordinates::setLongitude | ( | double | __longitude | ) |

Definition at line 98 of file GeodeticCoordinates.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/GeodeticCoordinates.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateTuples/GeodeticCoordinates.cpp